Package javax.servlet.http

## Interface HttpSessionContext

-     public interface HttpSessionContext

  Deprecated.
  As of Java(tm) Servlet API 2.1 for security reasons, with no replacement. This interface will be removed in a future version of this API.
  Do not use.
  See Also:
    `HttpSession`, `HttpSessionBindingEvent`, `HttpSessionBindingListener`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Enumeration<java.lang.String>` | `getIds()` | Deprecated. As of Java Servlet API 2.1 with no replacement.
    `HttpSession` | `getSession​(java.lang.String sessionId)` | Deprecated. As of Java Servlet API 2.1 with no replacement.

- - ### Method Detail

    - #### getSession

          HttpSession getSession​(java.lang.String sessionId)

      Deprecated.
      As of Java Servlet API 2.1 with no replacement. This method must return null and will be removed in a future version of this API.
      Do not use.
      Parameters:
        `sessionId` - Ignored
      Returns:
        Always `null`

    - #### getIds

          java.util.Enumeration<java.lang.String> getIds()

      Deprecated.
      As of Java Servlet API 2.1 with no replacement. This method must return an empty `Enumeration` and will be removed in a future version of this API.
      Do not use.
      Returns:
        Always an empty Enumeration